<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (12.0.1) on Tue Jan 07 09:13:49 CET 2020 -->
<title>A-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-01-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="A-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><span class="memberNameLink"><a href="../statistics/RideAttractionAnnual.html#accumulate(java.time.LocalDate,int,boolean)">accumulate(LocalDate, int, boolean)</a></span> - Method in class statistics.<a href="../statistics/RideAttractionAnnual.html" title="class in statistics">RideAttractionAnnual</a></dt>
<dd>
<div class="block">Accumulate the quantity on the indicated day and month</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistanceAnnual.html#accumulate(java.time.LocalDate,int,double,boolean)">accumulate(LocalDate, int, double, boolean)</a></span> - Method in class statistics.<a href="../statistics/AssistanceAnnual.html" title="class in statistics">AssistanceAnnual</a></dt>
<dd>
<div class="block">Accumulate the quantity and amount on the indicated day and month</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/AttractionStatus.html#accumulateActiveDay(int,boolean)">accumulateActiveDay(int, boolean)</a></span> - Method in class attractions.<a href="../attractions/AttractionStatus.html" title="class in attractions">AttractionStatus</a></dt>
<dd>
<div class="block">adds or subtracts a day of activity to the month and year
 according to the indicated state.</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttraction.html#accumulateAdults(int)">accumulateAdults(int)</a></span> - Method in class statistics.<a href="../statistics/RideAttraction.html" title="class in statistics">RideAttraction</a></dt>
<dd>
<div class="block">Accumulates the data reported in the group of adults</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistancePerson.html#accumulateAdults(int,double)">accumulateAdults(int, double)</a></span> - Method in class statistics.<a href="../statistics/AssistancePerson.html" title="class in statistics">AssistancePerson</a></dt>
<dd>
<div class="block">Accumulates the data reported in the group of adults</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttractionAnnual.html#accumulateAdults(java.time.LocalDate,int)">accumulateAdults(LocalDate, int)</a></span> - Method in class statistics.<a href="../statistics/RideAttractionAnnual.html" title="class in statistics">RideAttractionAnnual</a></dt>
<dd>
<div class="block">Accumulate the quantity on the indicated day and month</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistanceAnnual.html#accumulateAdults(java.time.LocalDate,int,double)">accumulateAdults(LocalDate, int, double)</a></span> - Method in class statistics.<a href="../statistics/AssistanceAnnual.html" title="class in statistics">AssistanceAnnual</a></dt>
<dd>
<div class="block">Accumulate the quantity and amount on the indicated day and month</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistancePerson.html#accumulateAdults(statistics.AssistanceData)">accumulateAdults(AssistanceData)</a></span> - Method in class statistics.<a href="../statistics/AssistancePerson.html" title="class in statistics">AssistancePerson</a></dt>
<dd>
<div class="block">Accumulates the data reported in the group of adults</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistanceData.html#accumulateAmount(double)">accumulateAmount(double)</a></span> - Method in class statistics.<a href="../statistics/AssistanceData.html" title="class in statistics">AssistanceData</a></dt>
<dd>
<div class="block">Accumulate/Deacumulate the indicated amount</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttraction.html#accumulateChildren(int)">accumulateChildren(int)</a></span> - Method in class statistics.<a href="../statistics/RideAttraction.html" title="class in statistics">RideAttraction</a></dt>
<dd>
<div class="block">Accumulates the data reported in the group of infants</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistancePerson.html#accumulateChildren(int,double)">accumulateChildren(int, double)</a></span> - Method in class statistics.<a href="../statistics/AssistancePerson.html" title="class in statistics">AssistancePerson</a></dt>
<dd>
<div class="block">Accumulates the data reported in the group of infants</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttractionAnnual.html#accumulateChildren(java.time.LocalDate,int)">accumulateChildren(LocalDate, int)</a></span> - Method in class statistics.<a href="../statistics/RideAttractionAnnual.html" title="class in statistics">RideAttractionAnnual</a></dt>
<dd>
<div class="block">Accumulate the quantity on the indicated day and month</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistanceAnnual.html#accumulateChildren(java.time.LocalDate,int,double)">accumulateChildren(LocalDate, int, double)</a></span> - Method in class statistics.<a href="../statistics/AssistanceAnnual.html" title="class in statistics">AssistanceAnnual</a></dt>
<dd>
<div class="block">Accumulate the quantity and amount on the indicated day and month</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistancePerson.html#accumulateChildren(statistics.AssistanceData)">accumulateChildren(AssistanceData)</a></span> - Method in class statistics.<a href="../statistics/AssistancePerson.html" title="class in statistics">AssistancePerson</a></dt>
<dd>
<div class="block">Accumulates the data reported in the group of infants</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistanceStatistics.html#accumulateIntoYear(java.time.LocalDate,int%5B%5D,double%5B%5D)">accumulateIntoYear(LocalDate, int[], double[])</a></span> - Method in class statistics.<a href="../statistics/AssistanceStatistics.html" title="class in statistics">AssistanceStatistics</a></dt>
<dd>
<div class="block">Accumulate the quantities and amounts indicated and according to the date,
 in the year, month and day.</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttractionStatistics.html#accumulateIntoYear(java.time.LocalDate,attractions.Attraction,attractions.AttractionStatus,int%5B%5D)">accumulateIntoYear(LocalDate, Attraction, AttractionStatus, int[])</a></span> - Method in class statistics.<a href="../statistics/RideAttractionStatistics.html" title="class in statistics">RideAttractionStatistics</a></dt>
<dd>
<div class="block">Accumulate the quantities indicated and according to the date,
 in the year, month and day.The quantities is an array: int Adults, int Children.</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistanceData.html#accumulateQuantity(int)">accumulateQuantity(int)</a></span> - Method in class statistics.<a href="../statistics/AssistanceData.html" title="class in statistics">AssistanceData</a></dt>
<dd>
<div class="block">Accumulate/Deacumulate the indicated quantity</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/StatisticsController.html#accumulateTicket(ticket.Ticket)">accumulateTicket(Ticket)</a></span> - Method in class controller.<a href="../controller/StatisticsController.html" title="class in controller">StatisticsController</a></dt>
<dd>
<div class="block">Accumulate quantities and amounts into assistance statistic</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttraction.html#accumulateTotal(int)">accumulateTotal(int)</a></span> - Method in class statistics.<a href="../statistics/RideAttraction.html" title="class in statistics">RideAttraction</a></dt>
<dd>
<div class="block">Accumulates the data reported in the total</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistancePerson.html#accumulateTotal(int,double)">accumulateTotal(int, double)</a></span> - Method in class statistics.<a href="../statistics/AssistancePerson.html" title="class in statistics">AssistancePerson</a></dt>
<dd>
<div class="block">Accumulates the data reported in the total</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/AttractionController.html#ACTION_ACTIVATE">ACTION_ACTIVATE</a></span> - Static variable in class controller.<a href="../controller/AttractionController.html" title="class in controller">AttractionController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controller/AttractionController.html#ACTION_ADD">ACTION_ADD</a></span> - Static variable in class controller.<a href="../controller/AttractionController.html" title="class in controller">AttractionController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controller/PersonController.html#ACTION_ADD">ACTION_ADD</a></span> - Static variable in class controller.<a href="../controller/PersonController.html" title="class in controller">PersonController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketController.html#ACTION_ADD">ACTION_ADD</a></span> - Static variable in class controller.<a href="../controller/TicketController.html" title="class in controller">TicketController</a></dt>
<dd>
<div class="block">Constants for actions</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketAddController.html#ACTION_ADDPERSON">ACTION_ADDPERSON</a></span> - Static variable in class controller.<a href="../controller/TicketAddController.html" title="class in controller">TicketAddController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketTypeController.html#ACTION_AFTERNOON">ACTION_AFTERNOON</a></span> - Static variable in class controller.<a href="../controller/TicketTypeController.html" title="class in controller">TicketTypeController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controller/PersonController.html#ACTION_AGE">ACTION_AGE</a></span> - Static variable in class controller.<a href="../controller/PersonController.html" title="class in controller">PersonController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controller/StatisticsController.html#ACTION_ASSISTANCE_ANNUAL">ACTION_ASSISTANCE_ANNUAL</a></span> - Static variable in class controller.<a href="../controller/StatisticsController.html" title="class in controller">StatisticsController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controller/StatisticsController.html#ACTION_ASSISTANCE_BY_DATE">ACTION_ASSISTANCE_BY_DATE</a></span> - Static variable in class controller.<a href="../controller/StatisticsController.html" title="class in controller">StatisticsController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controller/StatisticsController.html#ACTION_ASSISTANCE_MONTHLY">ACTION_ASSISTANCE_MONTHLY</a></span> - Static variable in class controller.<a href="../controller/StatisticsController.html" title="class in controller">StatisticsController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controller/StatisticsController.html#ACTION_ATTRACTION_ANNUAL">ACTION_ATTRACTION_ANNUAL</a></span> - Static variable in class controller.<a href="../controller/StatisticsController.html" title="class in controller">StatisticsController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controller/StatisticsController.html#ACTION_ATTRACTION_BY_DATE">ACTION_ATTRACTION_BY_DATE</a></span> - Static variable in class controller.<a href="../controller/StatisticsController.html" title="class in controller">StatisticsController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controller/StatisticsController.html#ACTION_ATTRACTION_MONTHLY">ACTION_ATTRACTION_MONTHLY</a></span> - Static variable in class controller.<a href="../controller/StatisticsController.html" title="class in controller">StatisticsController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketAddController.html#ACTION_CONFIRM">ACTION_CONFIRM</a></span> - Static variable in class controller.<a href="../controller/TicketAddController.html" title="class in controller">TicketAddController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketAddController.html#ACTION_DATE">ACTION_DATE</a></span> - Static variable in class controller.<a href="../controller/TicketAddController.html" title="class in controller">TicketAddController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controller/AttractionController.html#ACTION_DEACTIVATE">ACTION_DEACTIVATE</a></span> - Static variable in class controller.<a href="../controller/AttractionController.html" title="class in controller">AttractionController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controller/AttractionController.html#ACTION_DEL">ACTION_DEL</a></span> - Static variable in class controller.<a href="../controller/AttractionController.html" title="class in controller">AttractionController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controller/PersonController.html#ACTION_DEL">ACTION_DEL</a></span> - Static variable in class controller.<a href="../controller/PersonController.html" title="class in controller">PersonController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketController.html#ACTION_DEL">ACTION_DEL</a></span> - Static variable in class controller.<a href="../controller/TicketController.html" title="class in controller">TicketController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketAddController.html#ACTION_DELPERSON">ACTION_DELPERSON</a></span> - Static variable in class controller.<a href="../controller/TicketAddController.html" title="class in controller">TicketAddController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketTypeController.html#ACTION_FAMILY">ACTION_FAMILY</a></span> - Static variable in class controller.<a href="../controller/TicketTypeController.html" title="class in controller">TicketTypeController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketTypeController.html#ACTION_GENERAL">ACTION_GENERAL</a></span> - Static variable in class controller.<a href="../controller/TicketTypeController.html" title="class in controller">TicketTypeController</a></dt>
<dd>
<div class="block">Constants for actions</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/PersonController.html#ACTION_HEIGHT">ACTION_HEIGHT</a></span> - Static variable in class controller.<a href="../controller/PersonController.html" title="class in controller">PersonController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketTypeController.html#ACTION_LABORABLE">ACTION_LABORABLE</a></span> - Static variable in class controller.<a href="../controller/TicketTypeController.html" title="class in controller">TicketTypeController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controller/AttractionController.html#ACTION_LIST">ACTION_LIST</a></span> - Static variable in class controller.<a href="../controller/AttractionController.html" title="class in controller">AttractionController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketAddController.html#ACTION_LIST">ACTION_LIST</a></span> - Static variable in class controller.<a href="../controller/TicketAddController.html" title="class in controller">TicketAddController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketController.html#ACTION_LIST">ACTION_LIST</a></span> - Static variable in class controller.<a href="../controller/TicketController.html" title="class in controller">TicketController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketAddController.html#ACTION_MODPERSON">ACTION_MODPERSON</a></span> - Static variable in class controller.<a href="../controller/TicketAddController.html" title="class in controller">TicketAddController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketAddController.html#ACTION_TYPE">ACTION_TYPE</a></span> - Static variable in class controller.<a href="../controller/TicketAddController.html" title="class in controller">TicketAddController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controller/PersonController.html#ACTION_VIP">ACTION_VIP</a></span> - Static variable in class controller.<a href="../controller/PersonController.html" title="class in controller">PersonController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controller/AttractionController.html#actionActivateAttraction(boolean)">actionActivateAttraction(boolean)</a></span> - Method in class controller.<a href="../controller/AttractionController.html" title="class in controller">AttractionController</a></dt>
<dd>
<div class="block">Active/Deactive attraction action</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/AttractionController.html#actionAddAttraction()">actionAddAttraction()</a></span> - Method in class controller.<a href="../controller/AttractionController.html" title="class in controller">AttractionController</a></dt>
<dd>
<div class="block">Add attraction action.</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/PersonController.html#actionAddDiscount()">actionAddDiscount()</a></span> - Method in class controller.<a href="../controller/PersonController.html" title="class in controller">PersonController</a></dt>
<dd>
<div class="block">Add a new discount to the person</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketAddController.html#actionAddPerson()">actionAddPerson()</a></span> - Method in class controller.<a href="../controller/TicketAddController.html" title="class in controller">TicketAddController</a></dt>
<dd>
<div class="block">Add a new person according to the age and height entered</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketController.html#actionAddTicket()">actionAddTicket()</a></span> - Method in class controller.<a href="../controller/TicketController.html" title="class in controller">TicketController</a></dt>
<dd>
<div class="block">Initialize and launch the ticket purchase process</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/StatisticsController.html#actionAssistanceAnnual()">actionAssistanceAnnual()</a></span> - Method in class controller.<a href="../controller/StatisticsController.html" title="class in controller">StatisticsController</a></dt>
<dd>
<div class="block">Displays attendance data for one year</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/StatisticsController.html#actionAssistanceByDate()">actionAssistanceByDate()</a></span> - Method in class controller.<a href="../controller/StatisticsController.html" title="class in controller">StatisticsController</a></dt>
<dd>
<div class="block">Displays attendance data between a period of dates</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/StatisticsController.html#actionAssistanceMonth()">actionAssistanceMonth()</a></span> - Method in class controller.<a href="../controller/StatisticsController.html" title="class in controller">StatisticsController</a></dt>
<dd>
<div class="block">Displays attendance data for one month</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketAddController.html#actionConfirm()">actionConfirm()</a></span> - Method in class controller.<a href="../controller/TicketAddController.html" title="class in controller">TicketAddController</a></dt>
<dd>
<div class="block">Mark the ticket as correct and accepted</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketAddController.html#actionList()">actionList()</a></span> - Method in class controller.<a href="../controller/TicketAddController.html" title="class in controller">TicketAddController</a></dt>
<dd>
<div class="block">List group of persons</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketController.html#actionList()">actionList()</a></span> - Method in class controller.<a href="../controller/TicketController.html" title="class in controller">TicketController</a></dt>
<dd>
<div class="block">Search and view a ticket</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/AttractionController.html#actionListAttraction()">actionListAttraction()</a></span> - Method in class controller.<a href="../controller/AttractionController.html" title="class in controller">AttractionController</a></dt>
<dd>
<div class="block">List attraction process.</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/PersonController.html#actionModifyAge()">actionModifyAge()</a></span> - Method in class controller.<a href="../controller/PersonController.html" title="class in controller">PersonController</a></dt>
<dd>
<div class="block">Modify the age (and type) of a person</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/PersonController.html#actionModifyHeight()">actionModifyHeight()</a></span> - Method in class controller.<a href="../controller/PersonController.html" title="class in controller">PersonController</a></dt>
<dd>
<div class="block">Modify the height of a person</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketAddController.html#actionModifyPerson()">actionModifyPerson()</a></span> - Method in class controller.<a href="../controller/TicketAddController.html" title="class in controller">TicketAddController</a></dt>
<dd>
<div class="block">List and request to user that person to modify</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/PersonController.html#actionModifySupplement()">actionModifySupplement()</a></span> - Method in class controller.<a href="../controller/PersonController.html" title="class in controller">PersonController</a></dt>
<dd>
<div class="block">Change VIP supplement status</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/AttractionController.html#actionRemoveAttraction()">actionRemoveAttraction()</a></span> - Method in class controller.<a href="../controller/AttractionController.html" title="class in controller">AttractionController</a></dt>
<dd>
<div class="block">Remove attraction process</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/PersonController.html#actionRemoveDiscount()">actionRemoveDiscount()</a></span> - Method in class controller.<a href="../controller/PersonController.html" title="class in controller">PersonController</a></dt>
<dd>
<div class="block">Remove a discount from a person</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketAddController.html#actionRemovePerson()">actionRemovePerson()</a></span> - Method in class controller.<a href="../controller/TicketAddController.html" title="class in controller">TicketAddController</a></dt>
<dd>
<div class="block">Remove the person indicated by the user from the list</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketController.html#actionRemoveTicket()">actionRemoveTicket()</a></span> - Method in class controller.<a href="../controller/TicketController.html" title="class in controller">TicketController</a></dt>
<dd>
<div class="block">Remove a ticket</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketAddController.html#actionRequestDate()">actionRequestDate()</a></span> - Method in class controller.<a href="../controller/TicketAddController.html" title="class in controller">TicketAddController</a></dt>
<dd>
<div class="block">Request a date from the user to update the ticket
 Only updated if the date is equal or greater than current date</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketAddController.html#actionRequestType()">actionRequestType()</a></span> - Method in class controller.<a href="../controller/TicketAddController.html" title="class in controller">TicketAddController</a></dt>
<dd>
<div class="block">Request a basic ticket type</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/StatisticsController.html#actionRideAttractionAnnual()">actionRideAttractionAnnual()</a></span> - Method in class controller.<a href="../controller/StatisticsController.html" title="class in controller">StatisticsController</a></dt>
<dd>
<div class="block">Displays ride attraction data for one year</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/StatisticsController.html#actionRideAttractionByDate()">actionRideAttractionByDate()</a></span> - Method in class controller.<a href="../controller/StatisticsController.html" title="class in controller">StatisticsController</a></dt>
<dd>
<div class="block">Displays ride attraction data between a period of dates</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/StatisticsController.html#actionRideAttractionMonth()">actionRideAttractionMonth()</a></span> - Method in class controller.<a href="../controller/StatisticsController.html" title="class in controller">StatisticsController</a></dt>
<dd>
<div class="block">Displays ride attraction data for one month</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/AttractionController.html#activateAttraction(java.lang.String,java.time.LocalDate,java.time.LocalDate,boolean)">activateAttraction(String, LocalDate, LocalDate, boolean)</a></span> - Method in class controller.<a href="../controller/AttractionController.html" title="class in controller">AttractionController</a></dt>
<dd>
<div class="block">Activate or deactivate an attraction on a date period of the same year</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/AttractionStatus.html#active">active</a></span> - Variable in class attractions.<a href="../attractions/AttractionStatus.html" title="class in attractions">AttractionStatus</a></dt>
<dd>
<div class="block">Active number of days per month.</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/AtraccionesActivas.html#addAttraction(int,java.lang.String)">addAttraction(int, String)</a></span> - Method in class attractions.<a href="../attractions/AtraccionesActivas.html" title="class in attractions">AtraccionesActivas</a></dt>
<dd>
<div class="block">Add new attraction control status for indicated year</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/AttractionController.html#addAttraction(java.lang.String)">addAttraction(String)</a></span> - Method in class controller.<a href="../controller/AttractionController.html" title="class in controller">AttractionController</a></dt>
<dd>
<div class="block">Add attraction process.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Test.html#addAttractions(controller.AttractionController)">addAttractions(AttractionController)</a></span> - Method in class <a href="../Test.html" title="class in &lt;Unnamed&gt;">Test</a></dt>
<dd>
<div class="block">Add Attractions and deactivate for ATTRACTION_MAX_DEACTIVATE days</div>
</dd>
<dt><span class="memberNameLink"><a href="../tools/MenuItem.html#addChildren(java.lang.String,int)">addChildren(String, int)</a></span> - Method in class tools.<a href="../tools/MenuItem.html" title="class in tools">MenuItem</a></dt>
<dd>
<div class="block">Add an item to the menu</div>
</dd>
<dt><span class="memberNameLink"><a href="../tools/MenuItem.html#addChildren(java.lang.String,int,boolean)">addChildren(String, int, boolean)</a></span> - Method in class tools.<a href="../tools/MenuItem.html" title="class in tools">MenuItem</a></dt>
<dd>
<div class="block">Add an item to the menu with top margin</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Person.html#addDiscount(ticket.DiscountEnum)">addDiscount(DiscountEnum)</a></span> - Method in class ticket.<a href="../ticket/Person.html" title="class in ticket">Person</a></dt>
<dd>
<div class="block">Add a new discount to discount list</div>
</dd>
<dt><span class="memberNameLink"><a href="../tools/Menu.html#addItem(tools.MenuItem)">addItem(MenuItem)</a></span> - Method in class tools.<a href="../tools/Menu.html" title="class in tools">Menu</a></dt>
<dd>
<div class="block">Add an item to the menu</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Ticket.html#addPerson(int,int)">addPerson(int, int)</a></span> - Method in class ticket.<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a></dt>
<dd>
<div class="block">Add a new person to the ticket according to age</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Ticket.html#addPerson(ticket.Person)">addPerson(Person)</a></span> - Method in class ticket.<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a></dt>
<dd>
<div class="block">Add a new person to the ticket</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Ticket.html#addPerson(ticket.PersonEnum)">addPerson(PersonEnum)</a></span> - Method in class ticket.<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a></dt>
<dd>
<div class="block">Add a new person to the ticket according to the group</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/AttractionController.html#addRideAdultToAttraction(java.time.LocalDate,attractions.Attraction,int)">addRideAdultToAttraction(LocalDate, Attraction, int)</a></span> - Method in class controller.<a href="../controller/AttractionController.html" title="class in controller">AttractionController</a></dt>
<dd>
<div class="block">Add a adult to ride attraction count</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/StatisticsController.html#addRideAdultToAttraction(java.time.LocalDate,attractions.Attraction,attractions.AttractionStatus,int)">addRideAdultToAttraction(LocalDate, Attraction, AttractionStatus, int)</a></span> - Method in class controller.<a href="../controller/StatisticsController.html" title="class in controller">StatisticsController</a></dt>
<dd>
<div class="block">Add the quantity of Adult to ride attraction count</div>
</dd>
<dt><span class="memberNameLink"><a href="../Test.html#addRideAttraction(ticket.Ticket,controller.AttractionController)">addRideAttraction(Ticket, AttractionController)</a></span> - Method in class <a href="../Test.html" title="class in &lt;Unnamed&gt;">Test</a></dt>
<dd>
<div class="block">Add to ride attraction statistics all ticket persons</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/AttractionController.html#addRideChildrenToAttraction(java.time.LocalDate,attractions.Attraction,int)">addRideChildrenToAttraction(LocalDate, Attraction, int)</a></span> - Method in class controller.<a href="../controller/AttractionController.html" title="class in controller">AttractionController</a></dt>
<dd>
<div class="block">Add a children to ride attraction count</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/StatisticsController.html#addRideChildrenToAttraction(java.time.LocalDate,attractions.Attraction,attractions.AttractionStatus,int)">addRideChildrenToAttraction(LocalDate, Attraction, AttractionStatus, int)</a></span> - Method in class controller.<a href="../controller/StatisticsController.html" title="class in controller">StatisticsController</a></dt>
<dd>
<div class="block">Add the quantity of Children to ride attraction count</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketController.html#addTicket(ticket.Ticket)">addTicket(Ticket)</a></span> - Method in class controller.<a href="../controller/TicketController.html" title="class in controller">TicketController</a></dt>
<dd>
<div class="block">Add and counted in the statistics a new ticket</div>
</dd>
<dt><span class="memberNameLink"><a href="../Test.html#addTicketsAndRide(controller.TicketController,controller.AttractionController)">addTicketsAndRide(TicketController, AttractionController)</a></span> - Method in class <a href="../Test.html" title="class in &lt;Unnamed&gt;">Test</a></dt>
<dd>
<div class="block">Add Tickets and ride attraction for ticket persons</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/PersonEnum.html#ADULT">ADULT</a></span> - ticket.<a href="../ticket/PersonEnum.html" title="enum in ticket">PersonEnum</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistancePerson.html#adults">adults</a></span> - Variable in class statistics.<a href="../statistics/AssistancePerson.html" title="class in statistics">AssistancePerson</a></dt>
<dd>
<div class="block">Adult statistical data</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttraction.html#adults">adults</a></span> - Variable in class statistics.<a href="../statistics/RideAttraction.html" title="class in statistics">RideAttraction</a></dt>
<dd>
<div class="block">Adult statistical data</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Ticket.html#adults">adults</a></span> - Variable in class ticket.<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a></dt>
<dd>
<div class="block">Total number of adults on the ticket</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Person.html#age">age</a></span> - Variable in class ticket.<a href="../ticket/Person.html" title="class in ticket">Person</a></dt>
<dd>
<div class="block">Age of the person</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/Attraction.html#allowsAdult">allowsAdult</a></span> - Variable in class attractions.<a href="../attractions/Attraction.html" title="class in attractions">Attraction</a></dt>
<dd>
<div class="block">Indicates if the attraction allows adults</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/Attraction.html#allowsChildren">allowsChildren</a></span> - Variable in class attractions.<a href="../attractions/Attraction.html" title="class in attractions">Attraction</a></dt>
<dd>
<div class="block">Indicates if the attraction allows children</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/Attraction.html#allowsVipPass">allowsVipPass</a></span> - Variable in class attractions.<a href="../attractions/Attraction.html" title="class in attractions">Attraction</a></dt>
<dd>
<div class="block">Indicates if the attraction allows vip pass</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistanceData.html#amount">amount</a></span> - Variable in class statistics.<a href="../statistics/AssistanceData.html" title="class in statistics">AssistanceData</a></dt>
<dd>
<div class="block">Accumulated amount</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistanceReport.html#annual()">annual()</a></span> - Method in class statistics.<a href="../statistics/AssistanceReport.html" title="class in statistics">AssistanceReport</a></dt>
<dd>
<div class="block">Displays attendance data for one year</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttractionReport.html#annual()">annual()</a></span> - Method in class statistics.<a href="../statistics/RideAttractionReport.html" title="class in statistics">RideAttractionReport</a></dt>
<dd>
<div class="block">Displays ride attraction data for one year</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/StatisticsReport.html#annual()">annual()</a></span> - Method in class statistics.<a href="../statistics/StatisticsReport.html" title="class in statistics">StatisticsReport</a></dt>
<dd>
<div class="block">Displays the annual statistics</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/Attraction.html#annualCost()">annualCost()</a></span> - Method in class attractions.<a href="../attractions/Attraction.html" title="class in attractions">Attraction</a></dt>
<dd>
<div class="block">Obtain the annual cost of attraction staff</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/StatisticsController.html#assistance">assistance</a></span> - Variable in class controller.<a href="../controller/StatisticsController.html" title="class in controller">StatisticsController</a></dt>
<dd>
<div class="block">Assistance statistics</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistanceReport.html#assistance">assistance</a></span> - Variable in class statistics.<a href="../statistics/AssistanceReport.html" title="class in statistics">AssistanceReport</a></dt>
<dd>
<div class="block">Assistance statistics</div>
</dd>
<dt><a href="../statistics/AssistanceAnnual.html" title="class in statistics"><span class="typeNameLink">AssistanceAnnual</span></a> - Class in <a href="../statistics/package-summary.html">statistics</a></dt>
<dd>
<div class="block">Theme park application.</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistanceAnnual.html#%3Cinit%3E(int)">AssistanceAnnual(int)</a></span> - Constructor for class statistics.<a href="../statistics/AssistanceAnnual.html" title="class in statistics">AssistanceAnnual</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><a href="../statistics/AssistanceData.html" title="class in statistics"><span class="typeNameLink">AssistanceData</span></a> - Class in <a href="../statistics/package-summary.html">statistics</a></dt>
<dd>
<div class="block">Theme park application.</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistanceData.html#%3Cinit%3E()">AssistanceData()</a></span> - Constructor for class statistics.<a href="../statistics/AssistanceData.html" title="class in statistics">AssistanceData</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistanceStatistics.html#assistanceList">assistanceList</a></span> - Variable in class statistics.<a href="../statistics/AssistanceStatistics.html" title="class in statistics">AssistanceStatistics</a></dt>
<dd>
<div class="block">List of annuals statistics</div>
</dd>
<dt><a href="../statistics/AssistancePerson.html" title="class in statistics"><span class="typeNameLink">AssistancePerson</span></a> - Class in <a href="../statistics/package-summary.html">statistics</a></dt>
<dd>
<div class="block">Theme park application.</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistancePerson.html#%3Cinit%3E()">AssistancePerson()</a></span> - Constructor for class statistics.<a href="../statistics/AssistancePerson.html" title="class in statistics">AssistancePerson</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><a href="../statistics/AssistanceReport.html" title="class in statistics"><span class="typeNameLink">AssistanceReport</span></a> - Class in <a href="../statistics/package-summary.html">statistics</a></dt>
<dd>
<div class="block">Class for report the assistance statistics of the park</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistanceReport.html#%3Cinit%3E(statistics.AssistanceStatistics)">AssistanceReport(AssistanceStatistics)</a></span> - Constructor for class statistics.<a href="../statistics/AssistanceReport.html" title="class in statistics">AssistanceReport</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><a href="../statistics/AssistanceStatistics.html" title="class in statistics"><span class="typeNameLink">AssistanceStatistics</span></a> - Class in <a href="../statistics/package-summary.html">statistics</a></dt>
<dd>
<div class="block">Theme park application.</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistanceStatistics.html#%3Cinit%3E()">AssistanceStatistics()</a></span> - Constructor for class statistics.<a href="../statistics/AssistanceStatistics.html" title="class in statistics">AssistanceStatistics</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../staff/Staff.html#assistant">assistant</a></span> - Variable in class staff.<a href="../staff/Staff.html" title="class in staff">Staff</a></dt>
<dd>
<div class="block">Basic assistant of an attraction</div>
</dd>
<dt><a href="../attractions/AtraccionesActivas.html" title="class in attractions"><span class="typeNameLink">AtraccionesActivas</span></a> - Class in <a href="../attractions/package-summary.html">attractions</a></dt>
<dd>
<div class="block">Theme park application.</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/AtraccionesActivas.html#%3Cinit%3E()">AtraccionesActivas()</a></span> - Constructor for class attractions.<a href="../attractions/AtraccionesActivas.html" title="class in attractions">AtraccionesActivas</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttractionAnnual.html#attraction">attraction</a></span> - Variable in class statistics.<a href="../statistics/RideAttractionAnnual.html" title="class in statistics">RideAttractionAnnual</a></dt>
<dd>
<div class="block">Link to attraction</div>
</dd>
<dt><a href="../attractions/Attraction.html" title="class in attractions"><span class="typeNameLink">Attraction</span></a> - Class in <a href="../attractions/package-summary.html">attractions</a></dt>
<dd>
<div class="block">Theme park application.</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/Attraction.html#%3Cinit%3E(java.lang.String)">Attraction(String)</a></span> - Constructor for class attractions.<a href="../attractions/Attraction.html" title="class in attractions">Attraction</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../Test.html#ATTRACTION_MAX">ATTRACTION_MAX</a></span> - Static variable in class <a href="../Test.html" title="class in &lt;Unnamed&gt;">Test</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Test.html#ATTRACTION_MAX_DEACTIVATE">ATTRACTION_MAX_DEACTIVATE</a></span> - Static variable in class <a href="../Test.html" title="class in &lt;Unnamed&gt;">Test</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../attractions/AttractionTypeA.html#ATTRACTION_TYPE">ATTRACTION_TYPE</a></span> - Static variable in class attractions.<a href="../attractions/AttractionTypeA.html" title="class in attractions">AttractionTypeA</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../attractions/AttractionTypeB.html#ATTRACTION_TYPE">ATTRACTION_TYPE</a></span> - Static variable in class attractions.<a href="../attractions/AttractionTypeB.html" title="class in attractions">AttractionTypeB</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../attractions/AttractionTypeC.html#ATTRACTION_TYPE">ATTRACTION_TYPE</a></span> - Static variable in class attractions.<a href="../attractions/AttractionTypeC.html" title="class in attractions">AttractionTypeC</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../attractions/AttractionTypeD.html#ATTRACTION_TYPE">ATTRACTION_TYPE</a></span> - Static variable in class attractions.<a href="../attractions/AttractionTypeD.html" title="class in attractions">AttractionTypeD</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../attractions/AttractionTypeE.html#ATTRACTION_TYPE">ATTRACTION_TYPE</a></span> - Static variable in class attractions.<a href="../attractions/AttractionTypeE.html" title="class in attractions">AttractionTypeE</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Test.html#ATTRACTION_TYPE_A">ATTRACTION_TYPE_A</a></span> - Static variable in class <a href="../Test.html" title="class in &lt;Unnamed&gt;">Test</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Test.html#ATTRACTION_TYPE_B">ATTRACTION_TYPE_B</a></span> - Static variable in class <a href="../Test.html" title="class in &lt;Unnamed&gt;">Test</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Test.html#ATTRACTION_TYPE_C">ATTRACTION_TYPE_C</a></span> - Static variable in class <a href="../Test.html" title="class in &lt;Unnamed&gt;">Test</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Test.html#ATTRACTION_TYPE_D">ATTRACTION_TYPE_D</a></span> - Static variable in class <a href="../Test.html" title="class in &lt;Unnamed&gt;">Test</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Test.html#ATTRACTION_TYPE_E">ATTRACTION_TYPE_E</a></span> - Static variable in class <a href="../Test.html" title="class in &lt;Unnamed&gt;">Test</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controller/AttractionController.html#attractionActive">attractionActive</a></span> - Variable in class controller.<a href="../controller/AttractionController.html" title="class in controller">AttractionController</a></dt>
<dd>
<div class="block">Attraction status control
 Activate/deactivate attraction for days in a year</div>
</dd>
<dt><a href="../controller/AttractionController.html" title="class in controller"><span class="typeNameLink">AttractionController</span></a> - Class in <a href="../controller/package-summary.html">controller</a></dt>
<dd>
<div class="block">Controller of actions with attractions</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/AttractionController.html#%3Cinit%3E()">AttractionController()</a></span> - Constructor for class controller.<a href="../controller/AttractionController.html" title="class in controller">AttractionController</a></dt>
<dd>
<div class="block">Contructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/AttractionController.html#attractionList">attractionList</a></span> - Variable in class controller.<a href="../controller/AttractionController.html" title="class in controller">AttractionController</a></dt>
<dd>
<div class="block">List of attractions</div>
</dd>
<dt><a href="../attractions/package-summary.html">attractions</a> - package attractions</dt>
<dd>&nbsp;</dd>
<dt><a href="../attractions/AttractionStatus.html" title="class in attractions"><span class="typeNameLink">AttractionStatus</span></a> - Class in <a href="../attractions/package-summary.html">attractions</a></dt>
<dd>
<div class="block">Theme park application.</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/AttractionStatus.html#%3Cinit%3E(int,java.lang.String)">AttractionStatus(int, String)</a></span> - Constructor for class attractions.<a href="../attractions/AttractionStatus.html" title="class in attractions">AttractionStatus</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/AtraccionesActivas.html#attractionStatusList">attractionStatusList</a></span> - Variable in class attractions.<a href="../attractions/AtraccionesActivas.html" title="class in attractions">AtraccionesActivas</a></dt>
<dd>
<div class="block">List of attractions states</div>
</dd>
<dt><a href="../attractions/AttractionTypeA.html" title="class in attractions"><span class="typeNameLink">AttractionTypeA</span></a> - Class in <a href="../attractions/package-summary.html">attractions</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../attractions/AttractionTypeA.html#%3Cinit%3E(java.lang.String)">AttractionTypeA(String)</a></span> - Constructor for class attractions.<a href="../attractions/AttractionTypeA.html" title="class in attractions">AttractionTypeA</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><a href="../attractions/AttractionTypeB.html" title="class in attractions"><span class="typeNameLink">AttractionTypeB</span></a> - Class in <a href="../attractions/package-summary.html">attractions</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../attractions/AttractionTypeB.html#%3Cinit%3E(java.lang.String)">AttractionTypeB(String)</a></span> - Constructor for class attractions.<a href="../attractions/AttractionTypeB.html" title="class in attractions">AttractionTypeB</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><a href="../attractions/AttractionTypeC.html" title="class in attractions"><span class="typeNameLink">AttractionTypeC</span></a> - Class in <a href="../attractions/package-summary.html">attractions</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../attractions/AttractionTypeC.html#%3Cinit%3E(java.lang.String)">AttractionTypeC(String)</a></span> - Constructor for class attractions.<a href="../attractions/AttractionTypeC.html" title="class in attractions">AttractionTypeC</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><a href="../attractions/AttractionTypeD.html" title="class in attractions"><span class="typeNameLink">AttractionTypeD</span></a> - Class in <a href="../attractions/package-summary.html">attractions</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../attractions/AttractionTypeD.html#%3Cinit%3E(java.lang.String)">AttractionTypeD(String)</a></span> - Constructor for class attractions.<a href="../attractions/AttractionTypeD.html" title="class in attractions">AttractionTypeD</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><a href="../attractions/AttractionTypeE.html" title="class in attractions"><span class="typeNameLink">AttractionTypeE</span></a> - Class in <a href="../attractions/package-summary.html">attractions</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../attractions/AttractionTypeE.html#%3Cinit%3E(java.lang.String)">AttractionTypeE(String)</a></span> - Constructor for class attractions.<a href="../attractions/AttractionTypeE.html" title="class in attractions">AttractionTypeE</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistanceData.html#average">average</a></span> - Variable in class statistics.<a href="../statistics/AssistanceData.html" title="class in statistics">AssistanceData</a></dt>
<dd>
<div class="block">Average price according to the amount and the accumulated amount</div>
</dd>
<dt><span class="memberNameLink"><a href="../tools/Utilities.html#average(double,int)">average(double, int)</a></span> - Static method in class tools.<a href="../tools/Utilities.html" title="class in tools">Utilities</a></dt>
<dd>
<div class="block">Returns the average value for the indicated total</div>
</dd>
<dt><span class="memberNameLink"><a href="../tools/Utilities.html#average(int,int)">average(int, int)</a></span> - Static method in class tools.<a href="../tools/Utilities.html" title="class in tools">Utilities</a></dt>
<dd>
<div class="block">Returns the average value for the indicated total</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/PersonEnum.html#averageHeight">averageHeight</a></span> - Variable in enum ticket.<a href="../ticket/PersonEnum.html" title="enum in ticket">PersonEnum</a></dt>
<dd>
<div class="block">Average height of the person</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
